/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.orchestra.facade.uuid;

/**
 *
 * @author Gael Lalire
 */
public class ActivityInstanceUUID extends AbstractUUID {

  private static final long serialVersionUID = 471404416806636435L;

  private static String getName(final String activityName) {
    if (activityName == null) {
      return "";
    } else {
      return "(" + activityName + ")";
    }
  }

  protected ActivityInstanceUUID() {
    super();
  }

  public ActivityInstanceUUID(final ActivityInstanceUUID src) {
    super(src);
  }

  public ActivityInstanceUUID(final ProcessInstanceUUID processInstanceUUID, final long activityCount,
      final String activityName) {
    super(processInstanceUUID.value + NUMBER_SEPARATOR + activityCount + getName(activityName));
  }

  ActivityInstanceUUID(final String value) {
    //this method is necessary to allow admin consoles to create a UUID from a string value
    super(value);
  }

}
